GET
/
dash
/
referral
/
{address}
Get Referral Stats
curl --request GET \
  --url https://integrated-api.mainnet.muchfi.xyz/api/dash/referral/{address}
{
  "hasCode": true,
  "code": "<string>",
  "totalReferees": 123,
  "totalVolume": "<string>",
  "totalFeesGenerated": "<string>",
  "unclaimedFees": "<string>",
  "currentTier": 123,
  "referees": [
    {}
  ]
}

Path Parameters

address
string
required

User wallet address

Response

200 - application/json

Referral statistics

hasCode
boolean

Whether user has a referral code

code
string

User's referral code

totalReferees
integer

Total number of referees

totalVolume
string

Total volume from referrals

totalFeesGenerated
string

Total fees generated

unclaimedFees
string

Unclaimed fee rewards

currentTier
integer

Current referral tier

referees
object[]